org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

## Class PureJ2SERetryVisibilityTest

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.PureJ2SERetryVisibilityTest

    public class PureJ2SERetryVisibilityTest
    extends Object

Checks standard Java annotation retrievals for Retry annotation.

Author:
  Matthieu Brouillard

### Constructor Summary

Constructors
Constructor and Description
`PureJ2SERetryVisibilityTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkBaseRomRetryMissingOnMethod()`
`void` `checkRetryVisibilityOnRetryServiceMethodSuppressLevel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PureJ2SERetryVisibilityTest

    public PureJ2SERetryVisibilityTest()

### Method Detail

#### checkRetryVisibilityOnRetryServiceMethodSuppressLevel

    public void checkRetryVisibilityOnRetryServiceMethodSuppressLevel()
                                                               throws Exception

Throws:
  `Exception`

#### checkBaseRomRetryMissingOnMethod

    public void checkBaseRomRetryMissingOnMethod()
                                          throws Exception

Throws:
  `Exception`